## ros-indigo-husky-ur5-moveit-config 0.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_ur5_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

#roslaunch_add_file_check(launch)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-husky-ur5-moveit-config (0.2.8-0trusty) trusty; urgency=high

  * Fixed typo in URLs.
  * Removed old controllers.yaml
  * Added dependency fixes and synergy between dualur5 config files
  * Added pading to the robot so the real robot doesn't fail
  * This package depends on ur_kinematics
  * added dependencies on these moveit packages
  * created .setup_assistant, needed to run moveit assitant
  * Contributors: Dash, Ilia Baranov, TheDash, Tony Baltovski

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-indigo-husky-ur5-moveit-config (0.2.7-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-indigo-husky-ur5-moveit-config (0.2.6-0trusty) trusty; urgency=high

  * Commented out roslaunch check
  * Fix unstable tests
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-indigo-husky-ur5-moveit-config (0.2.5-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 16 Apr 2015 04:00:00 -0000

ros-indigo-husky-ur5-moveit-config (0.2.4-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 13 Apr 2015 04:00:00 -0000

ros-indigo-husky-ur5-moveit-config (0.2.3-0trusty) trusty; urgency=high

  * Added collisions so the robot can plan
  * Contributors: TheDash
  * Added collisions so the robot can plan
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-indigo-husky-ur5-moveit-config (0.2.2-0trusty) trusty; urgency=high

  * Fix package urls
  * Add roslaunch build dependency
  * Contributors: Paul Bovbel

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-ur5-moveit-config (0.2.1-0trusty) trusty; urgency=high

  * remove temp files
  * Contributors: Paul Bovbel

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-ur5-moveit-config (0.2.0-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: Devon Ash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-husky-ur5-moveit-config
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/husky_ur5_moveit_config
Standards-Version: 3.9.2

Package: ros-indigo-husky-ur5-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-moveit-planners, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-plugins, ros-indigo-moveit-ros-benchmarks, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-visualization, ros-indigo-moveit-ros-warehouse, ros-indigo-moveit-setup-assistant, ros-indigo-robot-state-publisher, ros-indigo-rviz, ros-indigo-ur-kinematics, ros-indigo-warehouse-ros, ros-indigo-xacro
Description: An automatically generated package with all the configuration and launch files for using the husky_ur5 with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-husky-ur5-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
